Package org.jfree.layouting.input.swing.converter

## Class DocumentConverter

- java.lang.Object
- - org.jfree.layouting.input.swing.converter.DocumentConverter

- All Implemented Interfaces:
    `Converter`

      public class DocumentConverter
      extends java.lang.Object
      implements Converter

  This class handles convertions of document properties to css style attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PAGE_RULE_TYPE` |
    `static java.lang.String` | `RTF_GUTTERWIDTH` | The inner margin of a page (near the spine) of a book.
    `static java.lang.String` | `RTF_LANDSCAPE` | Page orientation in which the page width exceeds the page length.
    `static java.lang.String` | `RTF_MARGINBOTTOM` |
    `static java.lang.String` | `RTF_MARGINLEFT` |
    `static java.lang.String` | `RTF_MARGINRIGHT` |
    `static java.lang.String` | `RTF_MARGINTOP` |
    `static java.lang.String` | `RTF_PAGEHEIGHT` |
    `static java.lang.String` | `RTF_PAGEWIDTH` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DocumentConverter​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConverterAttributeSet` | `convertToCSS​(java.lang.Object key, java.lang.Object value, ConverterAttributeSet cssAttr, javax.swing.text.Element context)` | Converts a style key and a style value to a CSS compatible style key and style value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAGE_RULE_TYPE

          public static final java.lang.String PAGE_RULE_TYPE

      See Also:
        Constant Field Values

    - #### RTF_PAGEWIDTH

          public static final java.lang.String RTF_PAGEWIDTH

      See Also:
        Constant Field Values

    - #### RTF_PAGEHEIGHT

          public static final java.lang.String RTF_PAGEHEIGHT

      See Also:
        Constant Field Values

    - #### RTF_MARGINLEFT

          public static final java.lang.String RTF_MARGINLEFT

      See Also:
        Constant Field Values

    - #### RTF_MARGINRIGHT

          public static final java.lang.String RTF_MARGINRIGHT

      See Also:
        Constant Field Values

    - #### RTF_MARGINTOP

          public static final java.lang.String RTF_MARGINTOP

      See Also:
        Constant Field Values

    - #### RTF_MARGINBOTTOM

          public static final java.lang.String RTF_MARGINBOTTOM

      See Also:
        Constant Field Values

    - #### RTF_GUTTERWIDTH

          public static final java.lang.String RTF_GUTTERWIDTH

      The inner margin of a page (near the spine) of a book.
      See Also:
        Constant Field Values

    - #### RTF_LANDSCAPE

          public static final java.lang.String RTF_LANDSCAPE

      Page orientation in which the page width exceeds the page length. The opposit is portrait.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DocumentConverter

          public DocumentConverter​()

  - ### Method Detail

    - #### convertToCSS

          public ConverterAttributeSet convertToCSS​(java.lang.Object key,
                                                    java.lang.Object value,
                                                    ConverterAttributeSet cssAttr,
                                                    javax.swing.text.Element context)

      Converts a style key and a style value to a CSS compatible style key and style value. A conversion can result in more than one key and value.
      Specified by:
        `convertToCSS` in interface `Converter`
      Parameters:
        `key` - The style key to convert.
        `value` - The style value to convert.
        `cssAttr` - The current converted CSS attributes for the current element.
        `context` - The current Element.
      Returns:
        The conversion result or null if no converstion has been done.